package 
{
	import com.divillysausages.connected.state.constants.StateNames;
	import com.divillysausages.connected.state.Game;
	import com.divillysausages.ds.DS;
	import flash.display.Sprite;
	import flash.events.Event;

	/**
	 * The main class that holds everything
	 * @author Damian Connolly
	 */
	[Frame(factoryClass="Preloader")]
	public class Main extends Sprite 
	{
		
		/********************************************************************************/
		
		/**
		 * The finite state machine that controls game flow
		 */
		public var fsm:Game = null;
		
		/********************************************************************************/

		public function Main():void 
		{
			if ( this.stage != null )	this._init();
			else						this.addEventListener( Event.ADDED_TO_STAGE, this._init );
		}
		
		/********************************************************************************/
		
		// called when we have access to the stage
		private function _init( e:Event = null ):void
		{
			DS.start( this );
			DS.useFixedTime = false;
			
			this.fsm = new Game;
			this.fsm.changeState( StateNames.STATE_INIT );
		}

	}

}