package com.divillysausages.connected.state
{
	import com.divillysausages.ds.core.GameStateManager;
	
	/**
	 * The controlling game state
	 * @author Damian Connolly
	 */
	public class Game extends GameStateManager 
	{
		
		/*******************************************************************************************/
		
		/**
		 * Creates the game class
		 */
		public function Game() 
		{			
			// add our states
			this.addState( new StateInit( this ) );
			this.addState( new StateDS( this ) );
			this.addState( new StatePlay( this ) );
			this.addState( new StateGameOver( this ) );
		}
		
	}

}