package com.divillysausages.connected.state 
{
	import com.divillysausages.ds.core.GameState;
	
	/**
	 * The base class for all states in the game
	 * @author Damian Connolly
	 */
	public class State extends GameState 
	{
		
		/*******************************************************************************************/
		
		/**
		 * The finite state machine that owns us
		 */
		protected var m_fsm:Game = null;
		
		/*******************************************************************************************/
		
		/**
		 * Creates a new State
		 * @param fsm The finite state machine that owns us
		 * @param name The name for this state
		 */
		public function State( fsm:Game, name:String ) 
		{
			this.m_fsm = fsm;
			super( name );	
		}
		
	}

}