package com.divillysausages.connected.state.constants 
{
	/**
	 * The names for our different states
	 * @author Damian Connolly
	 */
	public class StateNames 
	{
		
		/*******************************************************************************************/
	
		/**
		 * The init state
		 */
		public static const STATE_INIT:String = "init";
		
		/**
		 * The DS logo state
		 */
		public static const STATE_DS:String = "ds";
		
		/**
		 * The state where we actually play the game
		 */
		public static const STATE_PLAY:String = "play";
		
		/**
		 * The state that we go to when it's game over
		 */
		public static const STATE_GAME_OVER:String = "gameOver";
		
	}

}